Bug 552342 - PATCH: Fix mdadm crashing when auto keyword is used in mdadm.conf
PATCH: Fix mdadm crashing when auto keyword is used in mdadm.conf
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Doug Ledford
Fedora Extras Quality Assurance
: Patch, Triaged
Depends On:
Blocks: 537329
  Show dependency treegraph
 
Reported: 2010-01-04 13:34 EST by Hans de Goede
Modified: 2010-04-27 23:09 EDT (History)
3 users (show)

See Also:
Fixed In Version: initscripts-9.09-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-15 16:45:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PATCH: Fix mdadm crashing when auto keyword is used in mdadm.conf (2.01 KB, patch)
2010-01-04 13:34 EST, Hans de Goede
no flags Details | Diff

  None (edit)
Description Hans de Goede 2010-01-04 13:34:04 EST
Created attachment 381611 [details]
PATCH: Fix mdadm crashing when auto keyword is used in mdadm.conf

mdadm crashes when the auto keyword is used in mdadm.conf, this is caused
by the code for handling the auto keyword simply storing a pointer to the double linked list it gets passed in, but the config file parser frees this linked list immediately after use.

The attached patch fixes this by making a copy of the double linked list in the 
code for handling the auto keyword.
Comment 1 Siddhesh Poyarekar 2010-01-08 08:48:47 EST
This bug has been triaged

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Doug Ledford 2010-01-15 16:45:04 EST
Fixed in rawhide
Comment 3 Fedora Update System 2010-04-09 16:12:52 EDT
mdadm-3.1.2-9.fc13,initscripts-9.09-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mdadm-3.1.2-9.fc13,initscripts-9.09-1.fc13
Comment 4 Fedora Update System 2010-04-27 23:08:24 EDT
initscripts-9.09-1.fc13, mdadm-3.1.2-10.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.